<?php
/**
* Author bio box
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridread_add_author_bio_box() {
    $content='';
    if (is_single()) {
        $content .= '
            <div class="gridread-author-bio">
            <div class="gridread-author-bio-inside">
            <div class="gridread-author-bio-top">
            <span class="gridread-author-bio-gravatar">
                '. get_avatar( get_the_author_meta('email') , 80 ) .'
            </span>
            <div class="gridread-author-bio-text">
                <div class="gridread-author-bio-name">'.esc_html__( 'Author: ', 'gridread' ).'<span>'. get_the_author_link() .'</span></div><div class="gridread-author-bio-text-description">'. wp_kses_post( get_the_author_meta('description',get_query_var('author') ) ) .'</div>
            </div>
            </div>
            </div>
            </div>
        ';
    }
    return apply_filters( 'gridread_add_author_bio_box', $content );
}