<?php
/**
* The template for displaying full-width page.
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*
* Template Name: Full Width, no sidebar
* Template Post Type: page
*/

get_header(); ?>

<div class="gridread-main-wrapper gridread-clearfix" id="gridread-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="gridread-main-wrapper-inside gridread-clearfix">

<?php gridread_before_main_content(); ?>

<div class='gridread-posts-wrapper' id='gridread-posts-wrapper'>

<?php while (have_posts()) : the_post();

    get_template_part( 'template-parts/content', 'page' );

    // If comments are open or we have at least one comment, load up the comment template
    if ( comments_open() || get_comments_number() ) :
            comments_template();
    endif;

endwhile; ?>

<div class="clear"></div>
</div><!--/#gridread-posts-wrapper -->

<?php gridread_after_main_content(); ?>

</div>
</div>
</div><!-- /#gridread-main-wrapper -->

<?php get_footer(); ?>